\name{frag.get.layers}
\alias{frag.get.layers}
\title{
Extracts the subgraph of each selected stratigraphic layer.
}
\description{
Extracts the subgraph of each selected stratigraphic layer (or any other type of archaeological spatial unit).
}
\usage{
frag.get.layers(graph, layer.attr, sel.layers)
}
\arguments{
  \item{graph}{An undirected \code{igraph} object.}
  \item{layer.attr}{Character. The name of the vertices attribute giving the layer of each fragment.}
  \item{sel.layers}{Character. The identifier(s) of the stratigraphic layers to retrieve.}
}
\details{
This function is only a convenient function to extract the subgraphs of selected stratigraphic layers (or any other type of archaeological spatial unit). 
A graph is created for each layer in the vertex attribute given by the \code{layer.attr} argument.
}
\value{
A list with a graph for each selected stratigraphic layer.
}
\author{Sebastien Plutniak <sebastien.plutniak at posteo.net>}

\examples{
g <- frag.simul.process(n.components=20, vertices=50, disturbance = .15)
V(g)$layers <- c(rep("layer1", 20), rep("layer2", 20), rep("layer3", 10))
frag.get.layers(g, layer.attr="layers", sel.layers=c("layer1", "layer2"))
}
\keyword{extraction}
